package com.purui.prims.headless.server.persistence.repository;

import com.purui.prims.headless.server.persistence.dataobject.QueryRuleDO;
import com.purui.prims.headless.api.pojo.request.QueryRuleFilter;

import java.util.List;

public interface QueryRuleRepository {

    Integer create(QueryRuleDO queryRuleDO);

    Integer update(QueryRuleDO queryRuleDO);

    QueryRuleDO getQueryRuleById(Long id);

    List<QueryRuleDO> getQueryRules(QueryRuleFilter filter);

}
